Subject: smScriptError

From: Juergen Schoenwaelder <[email-masked]>
Date: Fri, 23 Jun 2000 08:48:53 +0200

We already had agreement to add an smScriptError object so that we can
export human readable error messages in case the process to load
scripts fails. While making the edits, I was wondering why we now have
smScriptError and smRunError but no smLaunchError. In fact, there are
several reasons why launching a script may fail and there is currently
no mechanism to report why a launch failed.

Strawman: Add smLaunchError in addition to smScriptError so that there
is a mechanism to report failures to launch a script.

Comment?

/js

-- 
Juergen Schoenwaelder      Technical University Braunschweig
<[email-masked]>  Dept. Operating Systems & Computer Networks
Phone: +49 531 391 3289    Bueltenweg 74/75, 38106 Braunschweig, Germany
Fax:   +49 531 391 5936    <URL:http://www.ibr.cs.tu-bs.de/~schoenw/>